Bug 240543 - (dsmidiwifi) Review Request: dsmidiwifi - remote controll midi with your Nintendo DS
Review Request: dsmidiwifi - remote controll midi with your Nintendo DS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 08:31 EDT by Till Maas
Modified: 2008-02-02 07:53 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-02 07:53:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2007-05-18 08:31:51 EDT
Spec URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/dsmidiwifi.spec
SRPM URL: http://www-users.kawo2.rwth-aachen.de/~tmaas/fedora/repo/dsmidiwifi-1.01a-1.src.rpm
Description:
An application that runs on the computer and forwards the MIDI messages
received via Wifi to MIDI applications. Mainly used by Nintendo DS homebrew
applications.
Comment 1 Jason Tibbitts 2008-01-27 14:56:28 EST
This sure has been sitting around for a while.  I don't know why; it doesn't
look too complicated.  One question I have is whether you actually need to play
those games with the upstream tarball.  The only time you need to remove content
like that is when it's something we can't legally ship.  Bonehead stuff like
upstream shipping built executables in the tarball isn't something we have to
get rid of.
Comment 2 Till Maas 2008-01-27 15:12:20 EST
Spec URL: http://till.fedorapeople.org/review/dsmidiwifi.spec
SRPM URL: http://till.fedorapeople.org/review/dsmidiwifi-1.01a-2.tillf8.src.rpm

(In reply to comment #1)

> like that is when it's something we can't legally ship.  Bonehead stuff like
> upstream shipping built executables in the tarball isn't something we have to
> get rid of.

I did not know this when I created the spec, here is a new SRPM/Spec that also
has  an updated License Tag.
Comment 3 Jason Tibbitts 2008-01-27 17:22:43 EST
Thanks.  Builds fine and rpmlint finds nothing to complain about.  Everything
else looks good as well.

* source files match upstream:
   44a0e626e5284b187ba5eda8f72dc81ab2e1c59e3386ef5b5723907a97f973ee  
   dsmidiwifi-v1.01a.tgz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK (it's a little thin, but it's what upstream uses and I can't 
   really think of anything better)
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   dsmidiwifi = 1.01a-2.fc9
  =
   libQtCore.so.4()(64bit)
   libQtGui.so.4()(64bit)
   libQtNetwork.so.4()(64bit)
   libasound.so.2()(64bit)
   libasound.so.2(ALSA_0.9)(64bit)
   libgcc_s.so.1()(64bit)
   libgcc_s.so.1(GCC_3.0)(64bit)
   libstdc++.so.6()(64bit)
   libstdc++.so.6(CXXABI_1.3)(64bit)
   libstdc++.so.6(GLIBCXX_3.4)(64bit)

* %check is not present; no test suite upstream.  I have a DS but no way to get 
   homebrew apps to it to test this.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 4 Till Maas 2008-01-31 11:58:41 EST
New Package CVS Request
=======================
Package Name: dsmidiwifi
Short Description: DS music interface
Owners: till
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 5 Till Maas 2008-01-31 11:59:19 EST
Oh I forgot this: Thank you for the review Jason.
Comment 6 Kevin Fenzi 2008-01-31 12:45:54 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.